﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace PanelBarExample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DataSource source = new DataSource();
            panelBarItem.ItemsSource = source.Items;
        }

        RadPanelBarItem selectedItem;

        private void RadPanelBar_Selected(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            this.selectedItem = e.OriginalSource as RadPanelBarItem;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (this.selectedItem != null)
            {
                this.selectedItem.IsSelected = false;
            }
        }
    }

    public class DataSource
    {
        public ObservableCollection<string> Items
        {
            get
            {
                ObservableCollection<string> items = new ObservableCollection<string>();
                for (int i = 0; i < 3; i++)
                {
                    items.Add(string.Format("Item {0}", i));
                }

                return items;
            }
        }
    }
}
